RecomlyRecomlyRecomlyDocs
Recomly APIEndpointsUsers

Get user

Retrieve a single organization member by email address.

GET /api/app/users/{email}

Returns the profile and role details for a single org member. Requires the admin role.

The email path parameter must be URL-encoded (@%40).


Request

See API Basics for required headers.

Path parameters

ParameterTypeDescription
emailstringURL-encoded email address of the member to retrieve.

Sample request

curl https://api.recomly.com/api/app/users/bob%40acmeplumbing.com \
  -H "Authorization: Bearer rk_live_abc123:def456"

Sample response

Status: 200 OK

{
  "user": {
    "email": "bob@acmeplumbing.com",
    "firstName": "Bob",
    "lastName": "Chen",
    "roles": ["user"],
    "allowPasswordAuth": true,
    "createdAt": "2026-02-03T11:45:00.000Z"
  }
}

Error responses

See API Basics for standard status codes and error response format.

StatusMeaning
403Caller does not have the admin role.
404No member with that email exists in the organization.

On this page

We use cookies

We use essential cookies to keep the site working, and optional analytics cookies to understand how it's used. Read our Privacy Policy.